Bug 224750 - Add memory allocation checks in more realtime audio capture/rendering places
Summary: Add memory allocation checks in more realtime audio capture/rendering places
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-04-19 05:09 PDT by youenn fablet
Modified: 2021-05-04 17:06 PDT (History)
10 users (show)

See Also:


Attachments
Patch (20.38 KB, patch)
2021-04-19 06:15 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (18.09 KB, patch)
2021-04-19 08:57 PDT, youenn fablet
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (20.32 KB, patch)
2021-04-19 09:05 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (20.98 KB, patch)
2021-04-21 00:50 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (21.33 KB, patch)
2021-04-21 07:12 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (21.33 KB, patch)
2021-04-26 08:33 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2021-04-19 05:09:14 PDT
Add memory allocation checks in more realtime audio capture/rendering places
Comment 1 youenn fablet 2021-04-19 06:15:17 PDT
Created attachment 426412 [details]
Patch
Comment 2 youenn fablet 2021-04-19 08:57:54 PDT
Created attachment 426427 [details]
Patch
Comment 3 youenn fablet 2021-04-19 09:05:05 PDT
Created attachment 426429 [details]
Patch
Comment 4 youenn fablet 2021-04-21 00:50:49 PDT
Created attachment 426657 [details]
Patch
Comment 5 youenn fablet 2021-04-21 07:12:43 PDT
Created attachment 426679 [details]
Patch
Comment 6 Eric Carlson 2021-04-21 10:00:47 PDT
Comment on attachment 426679 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=426679&action=review

> Source/WebCore/platform/mediastream/mac/RealtimeIncomingAudioSourceCocoa.h:60
> +    static constexpr size_t ChunksReceivedDelta = 200; // 200 chunks of 10ms = 2s.

I had to look at the source to understand what this constant is for, maybe "LogAfterChunksRecieved" or "ChunksRecievedLogCount"?
Comment 7 Radar WebKit Bug Importer 2021-04-26 05:10:16 PDT
<rdar://problem/77148592>
Comment 8 youenn fablet 2021-04-26 08:33:47 PDT
Created attachment 427050 [details]
Patch for landing
Comment 9 EWS 2021-04-27 03:04:28 PDT
Committed r276633 (237061@main): <https://commits.webkit.org/237061@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 427050 [details].